package com.fs.gtPush.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fs.common.core.domain.R;
import com.fs.gtPush.domain.PushReqBean;
import com.fs.gtPush.domain.PushResult;

public interface uniPush2Service {
    PushResult pushMessage(PushReqBean push);

    void pushOne(Long userId,Long businessId,String purl,String title,String content, Float type, Integer desType);

    PushReqBean getParam(Long userId,String purl,String title,String content,Float type,Integer desType,String imJsonString);
    void pushSopAppLinkMsgByExternalIM(String cropId,String linkTile,String linkDescribe,String linkImageUrl,String link,Long companyUserId,Long fsUserId) throws JsonProcessingException;

}
